Skip to main content
POST
Create a new reseller

Authorizations

token
string
query
required

Vida API Token

Query Parameters

targetPartnerId
string
required

Partner Id to create reseller in

Body

application/json
resellerName
string
required

Reseller Name

Example:

"Acme Solar"

email
string

Admin user email for this account

Example:

"admin@acmesolar.com"

offeredProductPlanId
string

Offered Product Plan. Requires the Reseller to accept and checkout.

Example:

"custom-plan-1"

productPlanId
string

Product Plan to set on the account. Otherwise default sell plan is used

Example:

"base-plan-1"

hipaaEnabledDefault
boolean

Default HipaaEnabled settings for organizations under the reseller

Example:

false

resellerStatus
enum<string>

Reseller status. Defaults to enabled.

Available options:
enabled,
disabled
Example:

"enabled"

Response

OK